# Standard_Storable.hxx File Reference

`#include <Standard_Integer.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_OStream.hxx>`
`#include <Standard_PrimitiveTypes.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`

## Functions

Standard_EXPORT Handle_Standard_Type & | Standard_Storable_Type_ ()
Standard_Integer | HashCode (const Standard_Storable &me, const Standard_Integer Upper)
Standard_Boolean | IsSimilar (const Standard_Storable &me, const Standard_Storable &Other)
void | ShallowDump (const Standard_Storable &me, Standard_OStream &S)

## Function Documentation

Standard_Integer HashCode | ( | const Standard_Storable & | me,
|  | const Standard_Integer | Upper
| ) | `[inline]`

Standard_Boolean IsSimilar | ( | const Standard_Storable & | me,
|  | const Standard_Storable & | Other
| ) | `[inline]`

void ShallowDump | ( | const Standard_Storable & | me,
|  | Standard_OStream & | S
| ) | `[inline]`

Standard_EXPORT Handle_Standard_Type& Standard_Storable_Type_ | ( |  | ) |